SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001411SiT!LDAPpublic2010-10-12 20:112011-04-16 15:07
Reporternicdev 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.62 LTS 
Target Version3.63 LTSFixed in Version3.63 LTS 
Summary0001411: If LDAP password expires all users are disabled
DescriptionThis weekend the LDAP credentials we used for LDAP login expired (thank the MS team!).

LdapSync disabled all the users, and because the scheduler failed, Ldapsync was disabled (normal behaviour). When i got the password restored, all incidents were assigned to a user who does not have the skills and is not marked in office, and subsequently no engineer saw any new cases and the incidents lay dormant until some of those customers started calling (angrily ..)

I did not yet look at the code but i imagine we need to do something for this as i assume we are not the only ones that use 'resetting passwords'. Maybe we can add a system trigger that sends an email to warn everyone?

I suppose the chain of events were a bit unique, but now that it's a know we should maybe look into it.

I can post some log info but there is some sensitive info there ... Paul what do you think?

Thanks
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003434)
paulh (administrator)
2010-10-15 19:26

can repro
User avatar (0003435)
paulh (administrator)
2010-10-16 12:05

r6732 and 1b928a9 resolve this
User avatar (0003719)
ivan (administrator)
2011-04-16 15:07

Fix Released in 3.63

- Issue History
Date Modified Username Field Change
2010-10-12 20:11 nicdev New Issue
2010-10-15 19:26 paulh Note Added: 0003434
2010-10-15 19:26 paulh Assigned To => paulh
2010-10-15 19:26 paulh Status new => confirmed
2010-10-15 19:26 paulh Target Version => 3.63 LTS
2010-10-16 12:05 paulh Note Added: 0003435
2010-10-16 12:05 paulh Status confirmed => resolved
2010-10-16 12:05 paulh Resolution open => fixed
2010-10-16 12:05 paulh Fixed in Version => 3.63 LTS
2011-04-16 15:07 ivan Note Added: 0003719
2011-04-16 15:07 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker